<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util">

	<!-- the custom list of collections -->
	<xsl:template name="collectionAndGroupLinks">
	  <xsl:choose>
	    <xsl:when test="$groupPath != ''">
	      <!-- we are in a group, just use the default template-->
	        <xsl:for-each select="collectionList/collection|groupList/group">
            <xsl:sort data-type="number" select="@position"/>
	        <xsl:if test="name() = 'collection'">
              <gslib:collectionLinkWithImage/>
	        </xsl:if>
		    <xsl:if test="name() = 'group'">
              <gslib:groupLinkWithImage/>
	            </xsl:if>
		</xsl:for-each>

	    </xsl:when>
	    <xsl:otherwise>
		<div id="collectionLinks">
			<xsl:if test="count(collectionList/collection) = 0">
				<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.no_collections')"/>
				<br/>
			</xsl:if>
			<p>These collections demonstrate different aspects of Greenstone3. Hover over the icon to see a short description, or click on it to visit the collection and see its full description.</p>
			<xsl:for-each select="collectionList/collection[@name = 'paradise-gardens']">
			<gslib:collectionLinkWithImage/>
			</xsl:for-each>		 
			<xsl:for-each select="collectionList/collection[@name='niupepa']">
			<gslib:collectionLinkWithImage/>
			</xsl:for-each>		 
			<xsl:for-each select="collectionList/collection[@name = 'image-demo']">
			<gslib:collectionLinkWithImage/>
			</xsl:for-each>		 
			<xsl:for-each select="collectionList/collection[@name = 'kjcoll']">
			<gslib:collectionLinkWithImage/>
			</xsl:for-each>		 
			<xsl:for-each select="collectionList/collection[@name= 'editdemo']">
			<gslib:collectionLinkWithImage/>
			</xsl:for-each>		 
			<br class="clear"/>
			<p>The following icon represents a group of collections. They all use a different indexing tool, but otherwise have the same content. Click on the icon to visit the group. </p>
			<xsl:for-each select="groupList/group[@name = 'idemo']">
			  <gslib:groupLinkWithImage/>
			</xsl:for-each>
			<xsl:for-each select="collectionList/collection[@name = 'lucene-jdbm-demo']">
			  <gslib:collectionLinkWithImage/>
			</xsl:for-each>
			<xsl:for-each select="collectionList/collection[@name = 'solr-jdbm-demo']">
			  <gslib:collectionLinkWithImage/>
			</xsl:for-each>
			<xsl:for-each select="collectionList/collection[@name = 'gs2mgppdemo']">
			  <gslib:collectionLinkWithImage/>
			</xsl:for-each>
			<xsl:for-each select="collectionList/collection[@name='gs2mgdemo']">
			  <gslib:collectionLinkWithImage/>
			</xsl:for-each>
			<br class="clear"/>
		</div>
	    </xsl:otherwise>
	  </xsl:choose>
	</xsl:template>


</xsl:stylesheet>
